
#define	PI		# 3.14159265 #
#define	IRLENGTH	# 1024 #

sr	=  32000
kr	=  32000
ksmps	=  1
nchnls	=  1

	instr 1

kcnt	init 0			/* initialize sample counter */

k0	=  ((kcnt/($IRLENGTH))-0.5)*($PI)
k1	=  ((kcnt-($IRLENGTH)/2)*($PI))/($XRATE)
kwinh	=  cos(k0)		/* hanning window */
kwinh	=  kwinh*kwinh

k2	=  kwinh*((abs(kcnt-($IRLENGTH)/2)<0.5) ? 1:(sin(k1)/k1))

kcnt	=  int(kcnt+1.5)	/* inc. counter */

a_	upsamp (k2/($XRATE))

	out a_

	endin


