#!/bin/bash

# installation script

echo -e "copying files to /usr/local/bin ..."

for i in	cs.sh PlaySound SoundFileLength SoundFileChannels SoundFileSampleRate		\
		SoundFileSamples float2short raw2ircam ircam2raw snd_extract snd_convert	\
		raw_snd_extract raw_snd_convert snd_upsample snd_downsample	; do

# remove old files

	rm -f /usr/local/bin/$i

# install new version

	cp -a ./$i /usr/local/bin/
	echo -e $i

# set permissions

	chown root:root /usr/local/bin/$i
	chmod 555 /usr/local/bin/$i		;

done

echo -e "\ndone."

# install convolve files

cd ./Resample/
./install.sh
cd ../

# end of installation script


